patch against 1.3.7-pre2